Bug 118271 - satelite traceback
satelite traceback
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-14 17:51 EST by Red Hat Production Operations
Modified: 2007-04-18 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 23:46:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-03-14 17:51:19 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Need Real Name 2004-03-14 17:52:39 EST
Error message:
  RHN::Exception: DBD::Oracle::st execute failed: ORA-00001: unique
constraint (RHSOC.RHN_SERVER_PROFILE_NOID_UQ) violated (DBD ERROR:
OCIStmtExecute)
  RHN::DB::Profile
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB/Profile.pm 119
RHN::DB::handle_error
  Sniglets::Profiles
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/Profiles.pm 243
RHN::DB::Profile::commit
  Sniglets::Profiles
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/Profiles.pm 242 (eval)
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 559
Sniglets::Profiles::create_profile_from_system_cb
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 84
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 84 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)


This occurred when I tried to replace an existing profile with a new
snapshot of a machine.  It would rather see the server give me a
replacement confirmation dialog in this case to make it easier to
maintain profiles rather than having to delete/recreate.
Comment 2 Robin Norwood 2005-09-30 16:37:06 EDT
Need to take a look and see if we can reproduce this.
Comment 3 Max Spevack 2005-10-11 14:53:50 EDT
assigning QA contact based on our latest component ownership
Comment 4 Robin Norwood 2006-10-17 11:47:03 EDT
mass re-assign to mmccune

Note You need to log in before you can comment on or make changes to this bug.